import * as $dara from '@darabonba/typescript';
export declare class DescribeForwardTableEntriesResponseBodyForwardTableEntriesForwardTableEntry extends $dara.Model {
    externalIp?: string;
    externalPort?: string;
    forwardEntryId?: string;
    forwardTableId?: string;
    internalIp?: string;
    internalPort?: string;
    ipProtocol?: string;
    status?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeForwardTableEntriesResponseBodyForwardTableEntries extends $dara.Model {
    forwardTableEntry?: DescribeForwardTableEntriesResponseBodyForwardTableEntriesForwardTableEntry[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class DescribeForwardTableEntriesResponseBody extends $dara.Model {
    forwardTableEntries?: DescribeForwardTableEntriesResponseBodyForwardTableEntries;
    pageNumber?: number;
    pageSize?: number;
    requestId?: string;
    totalCount?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
